org.eclipse.cdt.utils.coff.parser

## Class CygwinPEBinaryArchive

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.utils.BinaryFile
    - - org.eclipse.cdt.utils.coff.parser.PEBinaryArchive
      - - org.eclipse.cdt.utils.coff.parser.CygwinPEBinaryArchive

All Implemented Interfaces:
  IBinaryParser.IBinaryArchive, IBinaryParser.IBinaryFile, org.eclipse.core.runtime.IAdaptable

Deprecated.
Deprecated as of CDT 6.9. Use 64 bit version `CygwinPEBinaryArchive64`. This class is planned for removal in next major release.

    @Deprecated
    public class CygwinPEBinaryArchive
    extends PEBinaryArchive

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

### Constructor Summary

Constructors
Constructor and Description
`CygwinPEBinaryArchive(PEParser parser, org.eclipse.core.runtime.IPath path)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected void` `addArchiveMembers(AR.ARHeader[] headers, ArrayList<IBinaryParser.IBinaryObject> children2)` Deprecated.

### Methods inherited from class org.eclipse.cdt.utils.coff.parser.PEBinaryArchive

`getObjects`

### Methods inherited from class org.eclipse.cdt.utils.BinaryFile

`getBinaryParser, getContents, getPath, getType, hasChanged`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getContents, getPath, getType`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### CygwinPEBinaryArchive

    public CygwinPEBinaryArchive(PEParser parser,
                                 org.eclipse.core.runtime.IPath path)
                          throws IOException

Deprecated.

Parameters:
  `parser` -
  `path` -
Throws:
  `IOException`

### Method Detail

#### addArchiveMembers

    protected void addArchiveMembers(AR.ARHeader[] headers,
                                     ArrayList<IBinaryParser.IBinaryObject> children2)

Deprecated.

Overrides:
  `addArchiveMembers` in class `PEBinaryArchive`